<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaKpKw}" id="listaKpKw" var="kpkw" limit="${wynikLimit}" editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="nr" title="Nr" styleClass="daneWyroznione" sortable="false" filterable="false">
				${kpkw.nr}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="podmiot" title="Podmiot" styleClass="daneWyroznione" sortable="false" filterable="false">
				${kpkw.listaPozycji[0].operacja.podmiot.nazwa}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="typ" title="KP / KW" sortable="false" filterable="false">
				<c:set var="rodzaj" value="${not empty kpkw.listaPozycji[0].operacja.kontoWId ? 'KW' : 'KP'}"/>
				${rodzaj}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="dzien" title="Dzień" styleClass="daneWyroznione" sortable="false" filterable="false">
				<fmt:formatDate var="_dzien" value="${kpkw.listaPozycji[0].operacja.data}" pattern="${DATE_PATTERN}" />
				${_dzien}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" filterable="false" sortable="false">
				<div class="ikonki">
					<stripes:url var="_pozycjaURL" beanclass="pl.topteam.dps.action.socjalni.depozyt.kpkw.KpKwEdycjaAction" event="edycja" prependContext="false">
						<stripes:param name="okres" value="${_dzien}"/>
						<stripes:param name="rodzajKont" value="${actionBean.rodzajKont}"/>
						<stripes:param name="kpkwWybrane" value="${kpkw.id}"/>
					</stripes:url>
					<a href="${root}/${_pozycjaURL}#kpkw_${kpkw.id}">
						<img src="${root}/img/edit.gif" class="iconspace"/>
					</a>

					<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.kpkw.WydrukKpKwAction" event="drukuj" target="_blank" title="Drukuj">
						<stripes:param name="kpkw" value="${kpkw.id}"/>
						<img src="${root}/img/wykonajPDF.gif" class="iconspace"/>
					</stripes:link>
					<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.socjalni.depozyt.kpkw.ListaKpKwAction" event="usun"
							onclick="return confirmation('Czy na pewno chcesz usunąć KP/KW? ')">
						<stripes:param name="kpkw.id" value="${kpkw.id}"/>
						<stripes:param name="rodzajKont" value="${actionBean.rodzajKont}"/>
						<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/depozyty/kpkw/listaFiltr.jsp')}"/>
						<img src="${root}/img/delete.gif" class="iconspace"/>
					</stripes:link>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
