<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaOperacji}" id="listaOperacji" var="operacja" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 250px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="data" title="Data" sortable="false" filterable="false">
				<strong><fmt:formatDate value="${operacja.data}" pattern="${DATE_PATTERN}" /></strong>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="dataKsiegowania" title="Data<br/>księgowania" sortable="false" filterable="false">
				<fmt:formatDate value="${operacja.dataKsiegowania}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="podmiot" title="Podmiot" sortable="false" filterable="false">
				${operacja.podmiot.nazwa}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="konto" title="Konto" sortable="false" filterable="false">
				<c:choose>
					<c:when test="${not empty operacja.kontoWId}">${operacja.kontoW.nr}</c:when>
					<c:when test="${not empty operacja.kontoMId}">${operacja.kontoM.nr}</c:when>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwotaW" title="Kwota<br/>winien<br/>[${GL_JEDNOSTKA_MONETARNA}]" styleClass="kwotaTd" sortable="false" filterable="false">
				<c:if test="${not empty operacja.kontoWId}">
					<fmt:formatNumber value="${operacja.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
				</c:if>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwotaM" title="Kwota ma<br/>[${GL_JEDNOSTKA_MONETARNA}]" styleClass="kwotaTd" sortable="false" filterable="false">
				<c:if test="${not empty operacja.kontoMId}">
					<fmt:formatNumber value="${operacja.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
				</c:if>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="info" title="Informacja" sortable="false" filterable="false">
				<c:set var="_opis" value="${mapaInformacjiOOperacji[operacja.id]}"/>
				<c:choose>
					<c:when test="${not empty _opis}">
						${_opis.tekst}
					</c:when>
					<c:when test="${not empty operacja.kontoWId}">
						inna wypłata
					</c:when>
					<c:otherwise>
						---
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<c:if test="${not empty _opis && stripes:enumName(_opis.typOperacji) == 'WYPLATA_ZADLUZENIE'}">
						<ttSec:secure roles="SOC_R_WPLATY_PLATNOSC">
							<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.konto.operacja.KartotekaWyplataAction" event="zadluzenieMieszkanca"
									title="Przejdź do rozliczenia właściwego okresu w kartotece mieszk.">
								<stripes:param name="operacja" value="${operacja.id}"/>
								&nbsp;W&nbsp;
							</stripes:link>
						</ttSec:secure>
					</c:if>
					<c:if test="${stripes:enumName(actionBean.rodzajKont) == 'KASA_MIESZKANCA'}">
						<c:choose>
							<c:when test="${empty operacja.kpkwPozycja}">
								<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.kpkw.KpKwAction" event="krok2ZOperacji" title="Generowanie KP/KW">
									<stripes:param name="operacja" value="${operacja.id}"/>
									<stripes:param name="rodzajKont" value="KASA_MIESZKANCA"/>
									<img src="${root}/img/wykonaj.gif"/>
								</stripes:link>
							</c:when>
							<c:otherwise>
								<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.kpkw.WydrukKpKwAction" event="drukuj" target="_blank" title="Drukuj KP/KW">
									<stripes:param name="kpkw" value="${operacja.kpkwPozycja.kpKwId}"/>
									<img src="${root}/img/wykonajPDF.gif" class="iconspace"/>
								</stripes:link>
							</c:otherwise>
						</c:choose>
					</c:if>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
