<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<ttSec:secure roles="SOC_R_NALICZANIE_ODPL,SOC_C_NALICZANIE_ODPL,SOC_U_NALICZANIE_ODPL">
<ul>
	<li class="groupHeader">POBYT</li>
	<li class="last leaf">
		<c:if test="${not empty ostatnieNaliczone}">
			<fmt:parseDate var="_pocz_biez_okresu" value="${ostatnieNaliczone.rok}-${ostatnieNaliczone.miesiac < 10 ? '0' : ''}${ostatnieNaliczone.miesiac}-01" pattern="${DATE_PATTERN}"/>

			<c:set var="_pocz_nast_okresu" value="${ttFn:dodajMiesiace(_pocz_biez_okresu, 1)}"/>
			<fmt:formatDate var="_pocz_nast_okresu_rok" value="${_pocz_nast_okresu}" pattern="yyyy" />
			<fmt:formatDate var="_pocz_nast_okresu_miesiac" value="${_pocz_nast_okresu}" pattern="M" />
			
			<%--
				szybkie naliczenie za następny okres tylko gdy dzis <= poczatek_nast_okresu
			--%>
			<ttSec:secure roles="SOC_C_NALICZANIE_ODPL">
					<c:if test="${ttFn:compareDates(dzis,_pocz_nast_okresu) >= 0}">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.naliczanie.NaliczenieOkresAction" event="dodajOkres" class="optionLink">
						<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/odplatnosc/platnosc.jsp')}"/>
						<stripes:param name="aktualizacja.dataOd" value="${_pocz_nast_okresu}"/>
						<img src="${root}/img/plusButton.gif"/>
					</stripes:link>
					</c:if>
				</ttSec:secure>
				<ttSec:secure roles="SOC_R_NALICZANIE_ODPL">
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.naliczanie.PlatnoscListaSkladnikowOkresuAction" event="dispatch"
						class="optionLink" title="Ostatnie naliczenie (przypis) wykonane w programie">
					<stripes:param name="rok" value="${ostatnieNaliczone.rok}"/>
					<stripes:param name="miesiac" value="${ostatnieNaliczone.miesiac}"/>
					
					(${ostatnieNaliczone.rok}/${ostatnieNaliczone.miesiac})
				</stripes:link>
			</ttSec:secure>
		</c:if>
		<ttSec:secure roles="SOC_R_NALICZANIE_ODPL">
			<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.naliczanie.snapshot.ListaNaliczenAction" event="lista"
					class="optionLink" title="Różnicowy wydruk naliczeń">
				&nbsp;R&nbsp;
			</stripes:link>
			<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.naliczanie.PlatnoscListaOkresowAction" event="lista"
					class="baseLink" title="Naliczenie (przypisy) za pobyt">
				Naliczenia
			</stripes:link>
		</ttSec:secure>
	</li>
	
	<ttSec:secure roles="SOC_R_NALICZANIE_ODPL">
		<li class="last leaf">
			<c:choose>
				<c:when test="${not empty czyNoweDoliczenia && czyNoweDoliczenia}">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.doliczenie.PlatnoscListaOkresowAction" event="lista"
							class="baseLink" title="Jest już nowy okres rozliczeniowy / nastąpiły zmiany w naliczeniach">
						<img class="blink" src="${root}/img/warning.gif"/>&nbsp;Doliczenia
					</stripes:link>
				</c:when>
				<c:otherwise>
					<stripes:link class="baseLink" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.doliczenie.PlatnoscListaOkresowAction" event="lista"
							title="Różnica pomiędzy naliczeniami (przypisami) a kwotami płatności z decyzji">
						Doliczenia
					</stripes:link>
				</c:otherwise>
			</c:choose>
		</li>
	</ttSec:secure>
	<ttSec:secure roles="SOC_R_WPLATY_PLATNOSC">
		<li class="groupHeader"></li>
		<li class="last leaf">
			<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.opuszczenie_dps.ListaRozliczenAction" event="lista"
					title="Nierozliczone ewidencje odejść mieszkańców">
				<c:choose>
					<c:when test="${not empty czyNierozliczoneOdejscia && czyNierozliczoneOdejscia}">
						<img class="blink" src="${root}/img/warning.gif"/>&nbsp;Nierozliczone odejścia osób !!!
					</c:when>
					<c:otherwise>
						Rozliczenia odejść
					</c:otherwise>
				</c:choose>
			</stripes:link>
		</li>
	</ttSec:secure>
</ul>
</ttSec:secure>
