<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-definition>
	<!DOCTYPE html>
	<%@ include file="/jsp/biblioteki/mainHeader.jsp" %>
	<html>
	<head>
		<%@ include file="/jsp/layout/mainLayout/headPliki.jsp" %>
		<style type="text/css">
			#tab-container-menu {
				border: 0px none;
			}
			#tab-container-menu > ul {
				display: none;
			}
			#tab-container-menu > div.ui-tabs-panel {
				padding: 0;
				border: 0px none;
			}
		</style>
		
		<stripes:url var="_MenuPlatnosciActionURL" beanclass="pl.topteam.dps.action.system.menu.MenuPlatnosciAction" prependContext="true" addSourcePage="false"/>
		<script type="text/javascript">
			var _MenuPlatnosciActionURL = "${_MenuPlatnosciActionURL}";
			
			function changeMenu(b) {
				$("a[href='#" + b.name + "']").click();
			}
		</script>

		<script type="text/javascript" src="${root}/js/utils/menuPlatnosci.js"></script>
		
		<link rel="stylesheet" type="text/css" href="${root}/css/menuPlatnosci.css" />
	</head>
	<body>
		<div id="top">
			<%@ include file="/jsp/layout/mainLayout/top.jsp" %>
		</div>
	
		<div id="menuGlowne">
			<%-- menu dynamicznie uzupełniane --%>
		</div>
		<div id="loadImage"></div>
	
		<div id="content">
			<stripes:messages key="formularzMieszkaniecAkcjaMessage"/>
			<h3>
				Płatności
				&nbsp;&nbsp;&nbsp;
				<ttSec:secure roles="SOC_R_NALICZANIE_ODPL,SOC_C_NALICZANIE_ODPL,SOC_U_NALICZANIE_ODPL">
					<button type="button" name="ui-tabs-pobyt" onclick="changeMenu(this);">Pobyt</button>&nbsp;
				</ttSec:secure>
				&nbsp;&nbsp;&nbsp;
				<ttSec:secure roles="SOC_R_WPLATY_PLATNOSC">
					<button type="button" name="ui-tabs-wplaty" onclick="changeMenu(this);">Wpłaty</button>&nbsp;
				</ttSec:secure>
				<ttSec:secure roles="SOC_R_ODPIS">
					<button type="button" name="ui-tabs-zwroty" onclick="changeMenu(this);">Zwroty</button>&nbsp;
				</ttSec:secure>
				&nbsp;&nbsp;&nbsp;
				<ttSec:secure roles="SOC_R_ODPLATNOSC,SOC_R_ODPIS,SOC_R_ZWROT,SOC_R_WPLATY_PLATNOSC">
					<button type="button" name="ui-tabs-dokumenty" onclick="changeMenu(this);">Dokumenty</button>&nbsp;
				</ttSec:secure>
				<ttSec:secure roles="SOC_R_DEPOZYT">
					<button type="button" name="ui-tabs-depozyt" onclick="changeMenu(this);">Depozyt</button>&nbsp;
				</ttSec:secure>
				<ttSec:secure roles="SOC_R_KASA_MIESZKANCA">
					<button type="button" name="ui-tabs-kasaMieszkanca" onclick="changeMenu(this);">Kasa mieszkańca</button>&nbsp;
				</ttSec:secure>
			</h3>
			<div id="kontenerPaneli">
				<div id="panel1">
					<%-- menu dynamicznie uzupełniane --%>
					<div style="padding-top: 10px; padding-left: 5px;">Proszę czekać<br/>trwa ładowanie menu...</div>
				</div>
				<div id="panel2">
					<stripes:layout-component name="content"/>
				</div>
				<div style="clear: both;"></div>
			</div>
		</div>
		
		<%@ include file="/jsp/layout/firma/pasekInfo.jsp" %>
		<div id="bottom"></div>
	</body>
	</html>
</stripes:layout-definition>
