<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div style="margin-bottom: 10px;">
	<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
</div>
<jmesa:tableFacade items="${listaMieszkancow}" id="listaMieszkancow" var="osoba" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable width="600px">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="infoEwidencja" title="&nbsp;" sortable="false" filterable="false" style="min-width: 60px;">
				<c:set var="ewidencjaDps" value="${osoba.ewidencjaDps}"/>
	
				<div class="text-right" style="padding-right: 5px;">
					<%@ include file="/jsp/layout/mainMieszkaniecLayout/informacjeOEwidencji.jsp" %>
				</div>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="infoMieszkaniec" title="&nbsp;" sortable="false" filterable="false" style="min-width: 100px;">
				<div class="text-right" style="padding-right: 5px;">
					<c:set var="listaInformacjiOMieszkancu" value="${osoba.informacjeOMieszkancu}"/>
					<%@ include file="/jsp/layout/mainMieszkaniecLayout/informacjeOMieszkancu.jsp" %>
				</div>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="nazwisko" title="Nazwisko" styleClass="daneWyroznione">
				<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.opcje.MieszkaniecAction" event="opcje">
					<stripes:param name="osoba.id" value="${osoba.id}"/>
					${osoba.nazwisko}
				</stripes:link>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="imie" title="Imię" styleClass="daneWyroznione">
				<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.opcje.MieszkaniecAction" event="opcje">
					<stripes:param name="osoba.id" value="${osoba.id}"/>
					${osoba.imie}
				</stripes:link>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="pesel" title="PESEL">
				<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.opcje.MieszkaniecAction" event="opcje">
					<stripes:param name="osoba.id" value="${osoba.id}"/>
					${empty osoba.pesel ? '&nbsp;' : osoba.pesel}
				</stripes:link>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.opcje.MieszkaniecAction" event="opcje" title="Podgląd opcji dostępnych dla mieszkańca">
						<stripes:param name="osoba.id" value="${osoba.id}"/>
						<img src="${root}/img/lupa.gif" class="iconspace"/>
					</stripes:link>
					<ttSec:secure roles="OG_D_MIESZKANIEC">
						<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.lista.MieszkaniecAction" class="noLoadImage"
								event="usun" onclick="return confirmation('Czy na pewno chcesz usunąć mieszkańca /${osoba.nazwiskoImie}/?')"
								title="Usuń mieszkańca">
							<stripes:param name="mieszkaniec" value="${osoba.id}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/mieszkaniec/lista/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
