<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="nr_porzadkowy" value="0"/>
<jmesa:tableFacade items="${listaOczekujacych}" id="listaOczekujacych" var="osoba" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView"
		editable="false" maxRows="${fn:length(listaOczekujacych)}" exportTypes="" autoFilterAndSort="false" >
	<jmesa:htmlTable width="600px" styleClass="alignCenter">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="nr_porzadkowy" title="Nr">
				<c:set var="nr_porzadkowy" value="${nr_porzadkowy + 1}"/>
				<strong>${nr_porzadkowy}</strong>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="dk.priorytet" title="Priorytet" styleClass="text-center" filterable="false">
				<c:choose>
					<c:when test="${osoba.decyzjaKierujaca.priorytet != 3}">TAK</c:when>
					<c:otherwise>&nbsp;</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="data_od" title="Data wpisu<br/>ewidencji" sortable="true" filterable="false" styleClass="nowrap">
				<fmt:formatDate value="${osoba.ewidencjaDps.dataOd}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="nazwisko" title="Nazwisko">
				${osoba.nazwisko}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="imie" title="Imię">
				${osoba.imie}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="pesel" title="PESEL">
				${not empty osoba.pesel ? osoba.pesel : '&nbsp;'}
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
