<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_PlatnoscListaNowychSkladnikowOkresuActionURL" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.doliczenie.PlatnoscListaNowychSkladnikowOkresuAction" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<style type="text/css">
			.ui-widget-header {
				background: none;
				border: 0px none;
			}
		</style>
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		<script type="text/javascript">
			function onInvokeAction(id) {
				pokazLoadImage();
				
			    setExportToLimit(id, '');
			    var parameterString = createParameterStringForLimit(id);

			    $.post("${_PlatnoscListaNowychSkladnikowOkresuActionURL}",
					"listaFiltr=1&rok=${actionBean.rok}&miesiac=${actionBean.miesiac}&" + parameterString,
					function(data) {
			        	$("#jmesaContainer").html(data);
			        	
			        	loadImage();
			  			ukryjLoadImage();
			    	}
		    	);
			}
			
			$(document).ready(function() {
				$("#tab-container").tabs();
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer2">
			<div class="linki">
				<c:set var="miesiacNumber" value="${actionBean.miesiac}"/>
				<a href="#" class="aktywny">
					Doliczenia - nowe (${actionBean.rok}/<%@ include file="/jsp/templatePages/nazwyMiesiecyText.jsp" %>)
				</a>
			</div>
			<div class="form" align="center" style="width: 80%;">
				<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
				<div id="tab-container" class="form" style="border: 0px none; margin: 0px auto; width: 85%; padding-top: 5px;">
					<ul>
						<li><a href="#ui-tabs-lista">Pozycje</a></li>
						<li><a href="#ui-tabs-wydruki">Wydruki</a></li>
					</ul>
					<div id="ui-tabs-lista">
						<div id="jmesaContainer">
							<%@ include file="platnoscListaNowychSkladnikowOkresuFiltr.jsp" %>
						</div>
					</div>
					<div id="ui-tabs-wydruki">
						<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.doliczenie.WydrukDoliczenAction" style="border: none;" target="_blank">
							<stripes:hidden name="okres" value="${actionBean.rok}-${actionBean.miesiac}-01"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/bledy/sourcePageNewWindow.jsp')}"/>
							<div class="row">
								<div class="label">
									<label>
										szablon&nbsp;wydruku
									</label>
								</div>
								<div class="input">
									<stripes:select style="width:400px" class="mySelect required" name="szablonWydruku.id">
										<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
										<stripes:options-collection collection="${listaSzablonow}" label="nazwa" value="id"/>
									</stripes:select>
									<div style="clear: both">
										<stripes:errors field="szablonWydruku.id"/>
									</div>
								</div>
							</div>
							<stripes:submit class="noLoadImage" name="drukuj" value="Drukuj"/>
						</stripes:form>
					</div>
				</div>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
