<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<style type="text/css">
			#tab-container-lex .ui-tabs .ui-tabs-panel {
				border: 1px solid #a6c9e2;
			}
			#tab-container-lex .ui-widget-header {
				background: none;
				border: 0px none;
			}
		</style>
		<script type="text/javascript">
			function copyKwota(idMieszkanca) {
				var $kwotaZadluzenia = $("#kwotaZadluzenia" + idMieszkanca);
				var kwotaZadluzenia = $kwotaZadluzenia.val();

				var $kwotaWplaty = $("#kwotaWplaty" + idMieszkanca);
				$kwotaWplaty.val(fixnum42(kwotaZadluzenia, 2));
				$kwotaWplaty.focus();
				$kwotaWplaty.trigger(jQuery.Event("keyup", {which: 39})); // press arrow right
				
				return false;
			}
			
			$(document).ready(function() {
				$("#tab-container-lex").tabs({});
			});
			
			//# sourceURL=fakturyWplatyNiezrealizowaneListaFiltr.js
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<c:set var="mieszkancy" value="${actionBean.mieszkancy()}"/>
			<c:set var="mapaZadluzenia" value="${actionBean.mapaZadluzenia()}"/>
			
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.wplaty.ListaDoplatAction" style="width: 900px">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>Wpłaty na poczet zadłużenia za pobyt (na podst. noty dopłat)</legend>
					
					<c:set var="nazwaPolaWplata" value="wplata"/>
					<%@ include file="/jsp/templatePages/polaWplataWspolne.jsp" %>

					<fieldset>
					<div id="tab-container-lex" class="form" style="border: 0px none; margin: 0px auto;">
						<ul>
							<li><a href="#ui-tabs-nota">Nota</a></li>
							<c:forEach items="${actionBean.zakresy()}" var="zakres" varStatus="i">
								<li>
									<c:set var="listaMieszkancow" value="${mieszkancy[zakres]}"/>
									<a href="#ui-tabs-${i.count}">${zakres.from()}-${zakres.to()} (${fn:length(listaMieszkancow)})</a>
								</li>
							</c:forEach>
						</ul>
						<div id="ui-tabs-nota">
							<%@ include file="doplatyNota.jsp" %>
						</div>
						<c:forEach items="${actionBean.zakresy()}" var="zakres" varStatus="i">
							<div id="ui-tabs-${i.count}">
								<c:set var="listaMieszkancow" value="${mieszkancy[zakres]}"/>
								<%@ include file="doplatyListaFiltr.jsp" %>
							</div>
						</c:forEach>
					</div>
					</fieldset>
				</fieldset>
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.ListaNotAction" class="button" event="lista">
							<stripes:param name="nota.typ" value="${actionBean.nota.typ}"/>
							&laquo; Lista not
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="generuj" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
