<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:choose>
<c:when test="${empty listaMieszkancow || fn:length(listaMieszkancow) == 0}">
	--- BRAK OSÓB DLA TEGO ZAKRESU ---
</c:when>
<c:otherwise>
<jmesa:tableFacade items="${listaMieszkancow}" id="listaMieszkancow" var="mieszkaniec" autoFilterAndSort="false" editable="false"
		view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView" maxRows="${fn:length(listaMieszkancow)}">
	<jmesa:htmlTable styleClass="alignCenter" style="width: 450px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="m" title="Mieszkaniec" sortable="false" filterable="false">
				${mieszkaniec.nazwiskoImie}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="zadluzenie" title="Zadłużenie<br/>[${GL_JEDNOSTKA_MONETARNA}]" styleClass="text-right nowrap" style="width: 100px;" sortable="false" filterable="false">
				<stripes:hidden id="kwotaZadluzenia${mieszkaniec.id}" name="mapaZadluzenia[${mieszkaniec.id}]" value="${not empty mapaZadluzenia[mieszkaniec.id] ? mapaZadluzenia[mieszkaniec.id] : 0.0}"/>
				<fmt:formatNumber value="${not empty mapaZadluzenia[mieszkaniec.id] ? mapaZadluzenia[mieszkaniec.id] : 0.0}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwota" title="Kwota&nbsp;*<br/>[${GL_JEDNOSTKA_MONETARNA}]" styleClass="text-right nowrap" style="width: 100px;" sortable="false" filterable="false">
				<stripes:text id="kwotaWplaty${mieszkaniec.id}" name="mapaWplat[${mieszkaniec.id}]" class="doublePrecision nChkb" title="Wpłacaona kwota" size="11" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;
				<stripes:errors field="mapaWplat[${mieszkaniec.id}]"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false" style="width: 80px;">
				<div class="ikonki">
					<a href="#" onclick="return copyKwota(${mieszkaniec.id});" title="Kopiuj kwotę zadłużenia">
						<img src="${root}/img/copy.gif" class="iconspace"/>
					</a>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
<div class="padding-top-5">
	*) 0,00 - brak wpłaty (program ominie tę pozycję)
</div>
</c:otherwise>
</c:choose>
