<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="aa" uri="http://com.nerderg/ajaxanywhere"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript">
			function wyliczKwote(idOsoby, idInstytucji) {
				var parametry = "przeliczSkladniki=1&wyliczDlaInstytucjaId=" + idInstytucji	+ "&wyliczDlaOsobaId=" + idOsoby;
				AjaxAnywhere.submitAjaxAnywhereFormWithData("#odplatnoscForm", parametry, "data_zone,podsumowanie_zone,suma_zone", null, "POST");
			 	return true;
			}
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form id="odplatnoscForm" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.obliczanie.OdplatnoscEdycjaAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="decyzjaKierujaca"/>
				<stripes:hidden name="odplatnosc"/>
				<fieldset>
					<legend>Edycja odpłatności za pobyt w DPS</legend>

					<c:if test="${not empty actionBean.odplatnosc.ewidencjaOdejscieId}">
						<div class="row">
							<div class="label"></div>
							<div class="input">wpis kwot z ewidencji zgonu mieszkańca</div>
						</div>
					</c:if>
					<aa:zone id="data_zone">
					<div class="row">
						<div class="label">
							<label>obowiązuje od:</label>
						</div>
						<div class="input">
							<c:choose>
								<c:when test="${not empty actionBean.odplatnosc.ewidencjaOdejscieId}">
									<fmt:formatDate value="${actionBean.odplatnosc.dataOd}" pattern="${DATE_PATTERN}" />
								</c:when>
								<c:otherwise>
									<stripes:text name="odplatnosc.dataOd" class="data required" formatPattern="${DATE_PATTERN}"/>
								</c:otherwise>
							</c:choose>
							<stripes:errors field="odplatnosc.dataOd"/>
						</div>
					</div>
					</aa:zone>
					<div class="row">
						<div class="label">
							<label>liczona na zasadach:</label>
						</div>
						<div class="input">
							${actionBean.decyzjaKierujaca.wydanaNaZasadach.opis}
						</div>
					</div>
					<fieldset>
						<legend>Składniki odpłatności</legend>
						<div style="width: 500px; margin-left: auto; margin-right: auto;">
							<%@ include file="krok4-odplatnosc.jsp" %>
						</div>
					</fieldset>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.obliczanie.ListaOdplatnosciAction" class="button" event="lista">
							<stripes:param name="zakladka" value="HISTORIA"/>
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
