<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="aa" uri="http://com.nerderg/ajaxanywhere"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="_decyzjeOAlimentacji" value="${actionBean.decyzjeOAlimentacji()}"/>
<fieldset>
	<legend>Decyzje o alimentacji</legend>
	<c:choose>
		<c:when test="${not empty _decyzjeOAlimentacji && fn:length(_decyzjeOAlimentacji) > 0}">
			<jmesa:tableFacade items="${_decyzjeOAlimentacji}" id="_decyzjeOAlimentacji" var="d" editable="false" exportTypes="" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView"
					maxRows="${fn:length(_decyzjeOAlimentacji)}">
				<jmesa:htmlTable style="width: 400px;" styleClass="alignCenter">
					<jmesa:htmlRow>
						<jmesa:htmlColumn property="id" title="&nbsp;" sortable="false">
							<stripes:checkbox id="skladnikiAlimentacji_${d.id}" name="skladnikiAlimentacji" value="${d.id}"/>
						</jmesa:htmlColumn>
						<jmesa:htmlColumn property="nr" title="Nr" sortable="false" filterable="false">
							<label for="skladnikiAlimentacji_${d.id}" class="cursorPointer">${d.nr}</label>
						</jmesa:htmlColumn>
						<jmesa:htmlColumn property="dotyczy" title="Dotyczy" sortable="false" filterable="false">
							${d.czlonekRodziny.nazwiskoImie}
						</jmesa:htmlColumn>
						<jmesa:htmlColumn property="kwota" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]" sortable="false" filterable="false" styleClass="text-right">
							<c:choose>
							<c:when test="${stripes:enumName(d.typ) == 'ODPLATNOSC' || stripes:enumName(d.typ) == 'ZWOLNIENIE'}">
								<strong><fmt:formatNumber value="${d.kwota != null ? d.kwota : 0.00}" pattern="${DOUBLE_PRECISION_PATTERN}"/></strong>
							</c:when>
							<c:when test="${stripes:enumName(d.typ) == 'ZWOLNIENIE'}">
								(zwolnienie)&nbsp;<strong><fmt:formatNumber value="${d.kwotaZwolniona != null ? d.kwotaZwolniona : 0.00}" pattern="${DOUBLE_PRECISION_PATTERN}"/></strong>
							</c:when>
							</c:choose>
						</jmesa:htmlColumn>
					</jmesa:htmlRow>
				</jmesa:htmlTable>
			</jmesa:tableFacade>
		</c:when>
		<c:otherwise>
			<div class="row">
				<stripes:hidden name="decyzjaOOdplatnosci" value=""/>
				BRAK DECYZJI O ALIMENTACJI OBOWIĄZUJĄCYCH PO DNIU <fmt:formatDate value="${actionBean.odplatnosc.dataOd}" pattern="${DATE_PATTERN}"/>
			</div>
		</c:otherwise>
	</c:choose>
</fieldset>
