<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="aa" uri="http://com.nerderg/ajaxanywhere"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>
		
<stripes:form beanclass="${actionBean.getClass().getCanonicalName()}" partial="true">
<aa:zone id="podsumowanie_zone">
<script type="text/javascript">
	$(document).ready(function() {
		$("[name$='kwota']").on('change', function() {
			AjaxAnywhere.submitAjaxAnywhereFormWithData("#odplatnoscForm", "przeliczSumeSkladnikow=1", "suma_zone", null, "POST");
		});
	});
</script>

<c:set var="i" value="-1"/>
<c:set var="suma" value="0"/>
<jmesa:tableFacade items="${actionBean.skladnikiOdplatnosci}" id="skladnikiOdplatnosci" var="odplatnoscSkladnik" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView"
		maxRows="${fn:length(actionBean.skladnikiOdplatnosci)}">
	<jmesa:htmlTable style="min-width: 500px;" styleClass="alignCenter">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="podmiot" title="Podmiot" sortable="false" filterable="false">
				<c:set var="i" value="${i + 1}"/>

				<stripes:hidden name="skladnikiOdplatnosci[${i}]"/>
				<c:choose>
					<c:when test="${odplatnoscSkladnik.osoba.id == actionBean.osoba.id}">
						${actionBean.osoba.nazwiskoImie} (mieszkaniec)
						<stripes:hidden name="skladnikiOdplatnosci[${i}].osobaId"/>
						<stripes:hidden name="skladnikiOdplatnosci[${i}].osoba"/>
					</c:when>
					<c:when test="${not empty odplatnoscSkladnik.osoba.id}">
						${odplatnoscSkladnik.osoba.nazwiskoImie} (członek rodziny)
						<stripes:hidden name="skladnikiOdplatnosci[${i}].osobaId"/>
						<stripes:hidden name="skladnikiOdplatnosci[${i}].osoba"/>
					</c:when>
					<c:when test="${not empty odplatnoscSkladnik.instytucja.id}">
						${odplatnoscSkladnik.instytucja.nazwa}
						<stripes:hidden name="skladnikiOdplatnosci[${i}].instytucjaId"/>
						<stripes:hidden name="skladnikiOdplatnosci[${i}].instytucja"/>
					</c:when>
					<c:otherwise>
						<span class="blad">BŁĄD IMPLEMENTACJI ZESPOŁU TT !!!</span>
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwota" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]" sortable="false" filterable="false" styleClass="text-right">
				<c:set var="suma" value="${suma + odplatnoscSkladnik.kwota}"/>
				<stripes:text name="skladnikiOdplatnosci[${i}].kwota" class="doublePrecision required" formatPattern="${DOUBLE_PRECISION_PATTERN}" size="8"/>
				<c:if test="${stripes:enumName(actionBean.decyzjaKierujaca.wydanaNaZasadach) != 'ZASADY_DO_2004'}">
					<span class="padding-left-10">
					<c:choose>
						<c:when test="${odplatnoscSkladnik.osoba.id == actionBean.osoba.id}">
							<a class="decoration" href="#" onclick="wyliczKwote(${actionBean.osoba.id}, -1);">
								<img src="${root}/img/reload.png" class="iconspace"/>
							</a>
						</c:when>
						<c:when test="${not empty odplatnoscSkladnik.osoba.id}">
							<a class="decoration" href="#" onclick="wyliczKwote(${odplatnoscSkladnik.osoba.id}, -1);">
								<img src="${root}/img/reload.png" class="iconspace"/>
							</a>
						</c:when>
						<c:when test="${not empty odplatnoscSkladnik.instytucja.id}">
							<a class="decoration" href="#" onclick="wyliczKwote(-1, ${odplatnoscSkladnik.instytucja.id});">
								<img src="${root}/img/reload.png" class="iconspace"/>
							</a>
						</c:when>
					</c:choose>
					</span>
				</c:if>
				<stripes:errors field="skladnikiOdplatnosci[${i}].kwota"/>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
</aa:zone>
<aa:zone id="suma_zone">
	<div class="padding-top-15 text-right padding-right-20">
		<span class="padding-right-20">RAZEM:</span><fmt:formatNumber value="${suma}" pattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;${GL_JEDNOSTKA_MONETARNA}
	</div>
</aa:zone>
</stripes:form>
<c:if test="${stripes:enumName(actionBean.decyzjaKierujaca.wydanaNaZasadach) != 'ZASADY_DO_2004'}">
	<div style="padding-top: 30px;">
		<img src="${root}/img/reload.png" class="iconspace"/> - opcja pozwala na uzupełnienie kwoty do wysokości średniego kosztu utrzymania
	</div>
</c:if>
