<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="aa" uri="http://com.nerderg/ajaxanywhere"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<aa:zone id="kwoty_container">
<script>
	$(document).ready(function() {
		$("input[name='rok'],select[name='miesiac']").change(function() {
			AjaxAnywhere.submitAjaxAnywhereForm("#okresRozliczeniowyForm", "kwoty_container", null, "GET");
	    });
	});
</script>
<div class="row">
	<div class="col-md-2"></div>
	<div class="col-md-5">
	<stripes:form id="okresRozliczeniowyForm" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.obliczanie.KwotyOdplatnosciAction"
			aa-refresh-zones="kwoty_container" style="border: 0px; padding: 5px;">
		<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
		<stripes:hidden name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/odplatnosc/obliczanie/kwoty.jsp')}"/>

		<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.obliczanie.KwotyOdplatnosciAction" event="poprzedni" title="Poprzedni okres"
				aa-refresh-zones="kwoty_container">
			<stripes:param name="rok" value="${actionBean.rok}"/>
			<stripes:param name="miesiac" value="${actionBean.miesiac}"/>
			<img src="${root}/img/prev.gif" class="iconspace"/>
		</stripes:link>
		&nbsp;&nbsp;&nbsp;
		<c:set var="poleMiesiac" value="miesiac"/>
		<c:set var="klasaWymagane" value="required"/>
		<c:set var="poleMiesiacTitle" value="Odpłatność za miesiąc"/>
		<c:set var="poleMiesiacErrors" value="${false}"/>
		<c:set var="poleMiesiacValue" value="${actionBean.miesiac}"/>
		<stripes:text name="rok" class="rok required" title="Odpłatność na rok" size="5" value="${actionBean.rok}"/> /
		<%@ include file="/jsp/templatePages/nazwyMiesiecySelect.jsp" %>
		&nbsp;&nbsp;&nbsp;
		<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.obliczanie.KwotyOdplatnosciAction" event="nastepny" title="Następny okres"
				aa-refresh-zones="kwoty_container">
			<stripes:param name="rok" value="${actionBean.rok}"/>
			<stripes:param name="miesiac" value="${actionBean.miesiac}"/>
			<img src="${root}/img/next.gif" class="iconspace"/>
		</stripes:link>

		<stripes:errors field="rok"/>
		<stripes:errors field="miesiac"/>
	</stripes:form>
	</div>
	<div class="col-md-2"></div>
</div>
<div class="jmesa">
<table class="table" style="min-width: 400px;">
	<thead>
	<tr class="header">
		<td>Podmiot</td>
		<td>Kwota</td>
	</tr>
	</thead>
	<tbody class="tbody">
	<c:set var="i" value="1"/>
	<c:set var="_sumaPlatnosci" value="0.0"/>
	<c:forEach items="${listaSkladnikowOdplatnosci}" var="odplatnoscSkladnik">
		<tr class="${i % 2 == 0 ? 'odd' : 'even'}" onmouseover="this.className='highlight'" onmouseout="this.className='${i % 2 == 0 ? 'odd' : 'even'}'">
			<td class="text-left">
				<c:choose>
					<c:when test="${odplatnoscSkladnik.osoba.id == actionBean.osoba.id}">
						${actionBean.osoba.nazwiskoImie} (mieszkaniec)
					</c:when>
					<c:when test="${not empty odplatnoscSkladnik.osoba.id}">
						${odplatnoscSkladnik.osoba.nazwiskoImie} (członek rodziny)
					</c:when>
					<c:otherwise>
						${odplatnoscSkladnik.instytucja.nazwa}
					</c:otherwise>
				</c:choose>
			</td>
			<td class="text-right" nowrap="nowrap">
				<c:set var="_sumaPlatnosci" value="${_sumaPlatnosci + (empty odplatnoscSkladnik.kwota ? 0.00 : odplatnoscSkladnik.kwota)}"/>
				<fmt:formatNumber value="${empty odplatnoscSkladnik.kwota ? 0.00 : odplatnoscSkladnik.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}" />&nbsp;${GL_JEDNOSTKA_MONETARNA}
			</td>
		</tr>
		<c:set var="i" value="${i+1}"/>
	</c:forEach>
	</tbody>
	<tbody>
		<tr>
			<td></td>
			<td class="daneWyroznione text-right"><hr style="width: 95%;"/>
				<fmt:formatNumber value="${_sumaPlatnosci}" pattern="${DOUBLE_PRECISION_PATTERN}" />&nbsp;${GL_JEDNOSTKA_MONETARNA}
			</td>
		</tr>
	</tobdy>
</table>
</div>
</aa:zone>
