<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="i" value="-1"/>
<jmesa:tableFacade items="${listaWplat}" id="listaWplat" var="wplata" autoFilterAndSort="true"
		editable="false" exportTypes="" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView" maxRows="${fn:length(listaWplat)}">
	<jmesa:htmlTable style="min-width: 500px;" styleClass="alignCenter">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="mieszkaniec" title="Mieszkaniec">
				<c:set var="i" value="${i + 1}"/>
				
				${wplata.mieszkaniec.nazwiskoImie}
				
				<stripes:hidden name="mapaWplat[${zakres}][${i}].id"/>
				
				<stripes:hidden name="mapaWplat[${zakres}][${i}].mieszkaniec.id"/>
				<stripes:hidden name="mapaWplat[${zakres}][${i}].mieszkaniec.nazwisko"/>
				<stripes:hidden name="mapaWplat[${zakres}][${i}].mieszkaniec.imie"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="swiadczenie" title="Świadczenie">
				${wplata.swiadczenie.nazwa}<br/>
				(<fmt:formatNumber value="${wplata.swiadczenie.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;${GL_JEDNOSTKA_MONETARNA})
				
				<stripes:hidden name="mapaWplat[${zakres}][${i}].instytucjaId"/>
				<stripes:hidden name="mapaWplat[${zakres}][${i}].swiadczenieId"/>
				
				<stripes:hidden name="mapaWplat[${zakres}][${i}].swiadczenie.id"/>
				<stripes:hidden name="mapaWplat[${zakres}][${i}].swiadczenie.kwota"/>
				<stripes:hidden name="mapaWplat[${zakres}][${i}].swiadczenie.nazwa"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="dataWplaty" title="Data<br/>wpłaty" styleClass="nowrap">
				<stripes:text name="mapaWplat[${zakres}][${i}].dataWplaty" class="data required" size="11" formatPattern="${DATE_PATTERN}" title="Data wpłaty"/>
				<stripes:errors field="mapaWplat[${zakres}][${i}].dataWplaty"/>
				<stripes:errors field="wplata.${wplata.id}.dataWplaty"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="dataKsiegowania" title="Data<br/>księgowania" styleClass="nowrap">
				<stripes:text name="mapaWplat[${zakres}][${i}].dataKsiegowania" class="data" size="11" formatPattern="${DATE_PATTERN}" title="Data księgowania"/>
				<stripes:errors field="mapaWplat[${zakres}][${i}].dataKsiegowania"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwota" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]" styleClass="nowrap">
				<stripes:text name="mapaWplat[${zakres}][${i}].kwota" class="doublePrecision required" size="11" formatPattern="${DOUBLE_PRECISION_PATTERN}" title="Wpłacaona kwota" />
				<stripes:errors field="mapaWplat[${zakres}][${i}].kwota"/>
				<stripes:errors field="wplata.${wplata.id}.kwota"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="depozyt" title="Cel*" styleClass="text-center">
				<stripes:hidden name="wplatyNaDepozyt[${wplata.id}]"/>
				<c:set var="_naDepozyt" value="${not empty actionBean.wplatyNaDepozyt[wplata.id]}"/>

				<stripes:hidden name="wplatyNaKaseM[${wplata.id}]"/>
				<c:set var="_naKase" value="${not empty actionBean.wplatyNaKaseM[wplata.id]}"/>

				<strong>${_naDepozyt ? 'D' : (_naKase ? 'KM' : 'Z')}</strong>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje">
				<div class="ikonki">
					<ttSec:secure roles="SOC_D_WPLATY_PLATNOSC">
						<c:choose>
						<c:when test="${!wplatyZResztowkami.contains(wplata.id)}">
							<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.swiadczenia.PlatnoscWplataPozycjaEdycjaAction" event="usun"
										onclick="return confirmation('Czy na pewno chcesz usunąć wpłatę?')" title="Usuń wpłatę">
								<stripes:param name="swiadczenieWplataPozycja.swiadczenieWplataId" value="${actionBean.swiadczenieWplata.id}"/>
								<c:choose>
									<c:when test="${not empty actionBean.resztowki && actionBean.resztowki}">
										<stripes:param name="swiadczenieWplataPozycja.resztowka" value="${wplata.id}"/>
										<stripes:param name="swiadczenieWplataPozycja.resztowka.mieszkaniec" value="${wplata.mieszkaniec.id}"/>
									</c:when>
									<c:otherwise>
										<stripes:param name="swiadczenieWplataPozycja.wplata" value="${wplata.id}"/>
										<stripes:param name="swiadczenieWplataPozycja.wplata.mieszkaniec" value="${wplata.mieszkaniec.id}"/>
									</c:otherwise>
								</c:choose>
								<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/odplatnosc/wplaty/swiadczenie/edycjaLista.jsp')}"/>
								<img src="${root}/img/delete.gif" class="iconspace"/>
							</stripes:link>
						</c:when>
						<c:otherwise>
							<a href="#" title="Nie można usuwać pozycji jeśli istnieje dla niej 'resztówka'."><img src="${root}/img/delete_disabled.gif" class="iconspace"/></a>
						</c:otherwise>
						</c:choose>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
<div class="padding-top-5">
	*) Z - zadłużenie, D - konto depozytowe, KM - konto kasy mieszkańca
</div>
