<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="aa" uri="http://com.nerderg/ajaxanywhere"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="mozliwoscWplatyNaDepozyt" value="false"/>
<ttSec:secure roles="SOC_U_DEPOZYT">
	<c:set var="mozliwoscWplatyNaDepozyt" value="true"/>
	<c:set var="mapaKontDepozytowych" value="${actionBean.mapaKontDepozytowych()}"/>
</ttSec:secure>
<ttSec:secure roles="SOC_U_KASA_MIESZKANCA">
	<c:set var="mozliwoscWplatyNaKase" value="true"/>
	<c:set var="mapaKontKasyMieszkanca" value="${actionBean.mapaKontKasyMieszkanca()}"/>
</ttSec:secure>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<style type="text/css">
			.no-widget-header {
				background: none;
				border: 0px none;
			}
		</style>
		<script type="text/javascript">
			function przelacz(selector) {
				$("[name='odswiezSumeWplat']").attr('disabled', 'disabled');
				$('' + selector).click();
				$("[name='odswiezSumeWplat']").removeAttr('disabled');
				$("[name='odswiezSumeWplat']").click();
			}
			
			$(document).ready(function() {
				$("#tab-container").tabs({ selected : ${actionBean.zakladka} });

				$("[name^='rejestrujWplate']").on('change', function() {
					$("[name='odswiezSumeWplat']").click();
				});
				$("[name$='kwota']").on('change', function() {
					var _id = $(this).attr("id");
					$("#" + _id + "Wplacono").attr('checked', true);
					$("[name='odswiezSumeWplat']").click();
				});
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.swiadczenia.PlatnoscWplataAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:submit name="odswiezSumeWplat" aa-refresh-zones="suma_wplat_zone" value="Odśwież" style="display: none;"/>
				<fieldset>
					<legend>
						Rejestracja wpłat dla pobieranych świadczeń (krok 2: zatwierdzanie wpłat)
					</legend>
					<div id="tab-container" class="form" style="border: 0px none; margin: 0px auto;">
						<ul class="no-widget-header">
							<li><a href="#ui-tabs-informacja">${actionBean.swiadczenieWplata.rok} / ${actionBean.swiadczenieWplata.miesiac}</a></li>
							<c:forEach items="${actionBean.zakresy()}" var="zakres" varStatus="i">
								<li>
									<c:set var="listaWplat" value="${actionBean.mapaWplat[zakres]}"/>
									<a href="#ui-tabs-${i.count}">${zakres.from()}-${zakres.to()} (${fn:length(listaWplat)})</a>
								</li>
							</c:forEach>
							<li>
								<a class="disabled" href="#ui-tabs-sumaWplat">
									<aa:zone id="suma_wplat_zone">
										<stripes:hidden name="sumaWplat"/>
										<fmt:formatNumber value="${actionBean.sumaWplat}" pattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;${GL_JEDNOSTKA_MONETARNA}
									</aa:zone>
								</a>
							</li>
						</ul>
						<div id="ui-tabs-informacja">
							<%@ include file="zakladkaInformacje.jsp" %>
						</div>
						<c:forEach items="${actionBean.zakresy()}" var="zakres" varStatus="i">
							<div id="ui-tabs-${i.count}">
								<c:set var="listaWplat" value="${actionBean.mapaWplat[zakres]}"/>
								<c:choose>
									<c:when test="${fn:length(listaWplat) == 0}">
										Brak świadczeń dla tego zakresu
									</c:when>
									<c:otherwise>
										<%@ include file="generowanieListaFiltr.jsp" %>
									</c:otherwise>
								</c:choose>
							</div>
						</c:forEach>
					</div>
				</fieldset>
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.swiadczenia.PlatnoscListaWplatAction" class="button" event="lista">
							&laquo; Wróć do listy
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
