<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:button class="noLoadImage" name="togglePrzeznaczWplaty" onclick="przelacz('[id^=${zakres}Wplata]');">Przełącz wpłaty</stripes:button>
<br/><br/>
<c:if test="${mozliwoscWplatyNaDepozyt || mozliwoscWplatyNaKase}">
	<stripes:button class="noLoadImage" name="togglePrzeznaczZadl" onclick="przelacz('[id^=${zakres}bez_]');">Przełącz na zadłużenie</stripes:button>
</c:if>
<c:if test="${mozliwoscWplatyNaDepozyt}">
	&nbsp;&nbsp;
	<stripes:button class="noLoadImage" name="togglePrzeznaczDepozyt" onclick="przelacz('[id^=${zakres}d_]');">Przełącz na depozyt</stripes:button>
</c:if>
<c:if test="${mozliwoscWplatyNaKase}">
	&nbsp;&nbsp;
	<stripes:button class="noLoadImage" name="togglePrzeznaczKaseMieszkanca" onclick="przelacz('[id^=${zakres}km_]');">Przełącz na kasę mieszkańca</stripes:button>
</c:if>
<br/><br/>
<c:set var="i" value="-1"/>
<jmesa:tableFacade items="${listaWplat}" id="listaWplat" var="wplata" autoFilterAndSort="true"
		editable="false" exportTypes="" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView" maxRows="${fn:length(listaWplat)}">
	<jmesa:htmlTable style="min-width: 500px;" styleClass="alignCenter">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="mieszkaniec" title="Mieszkaniec">
				<c:set var="i" value="${i + 1}"/>
				
				${wplata.mieszkaniec.nazwiskoImie}
				<stripes:hidden name="mapaWplat[${zakres}][${i}].instytucjaId"/>
				<stripes:hidden name="mapaWplat[${zakres}][${i}].swiadczenieId"/>
				<stripes:hidden name="mapaWplat[${zakres}][${i}].mieszkaniec.id"/>
				<stripes:hidden name="mapaWplat[${zakres}][${i}].mieszkaniec.nazwisko"/>
				<stripes:hidden name="mapaWplat[${zakres}][${i}].mieszkaniec.imie"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="swiadczenie" title="Świadczenie">
				<stripes:hidden name="mapaWplat[${zakres}][${i}].swiadczenie.id"/>
				<stripes:hidden name="mapaWplat[${zakres}][${i}].swiadczenie.kwota"/>
				<stripes:hidden name="mapaWplat[${zakres}][${i}].swiadczenie.nazwa"/>
				${wplata.swiadczenie.nazwa} (<fmt:formatNumber value="${wplata.swiadczenie.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;${GL_JEDNOSTKA_MONETARNA})
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="dataWplaty" title="Data<br/>wpłaty" styleClass="nowrap">
				<stripes:text name="mapaWplat[${zakres}][${i}].dataWplaty" class="data required" size="11" formatPattern="${DATE_PATTERN}" title="Data wpłaty"/>
				<stripes:errors field="mapaWplat[${zakres}][${i}].dataWplaty"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="dataKsiegowania" title="Data<br/>księgowania" styleClass="nowrap">
				<stripes:text name="mapaWplat[${zakres}][${i}].dataKsiegowania" class="data" size="11" formatPattern="${DATE_PATTERN}" title="Data księgowania"/>
				<stripes:errors field="mapaWplat[${zakres}][${i}].dataKsiegowania"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="wplacono" title="Wpłacono?" styleClass="alignCenter">
				<stripes:checkbox id="${zakres}Wplata${pozycja.wplata.swiadczenieId}Wplacono" name="rejestrujWplate[${wplata.swiadczenieId}]"></stripes:checkbox>
			</jmesa:htmlColumn>
			<c:if test="${mozliwoscWplatyNaDepozyt || mozliwoscWplatyNaKase}">
				<jmesa:htmlColumn property="depozyt" title="Cel*" styleClass="text-left">
					<c:set var="kontoDepozytowe" value="${mapaKontDepozytowych[wplata.mieszkaniec.id]}"/>
					<c:set var="kontoKasy" value="${mapaKontKasyMieszkanca[wplata.mieszkaniec.id]}"/>

					<c:if test="${(mozliwoscWplatyNaDepozyt && not empty kontoDepozytowe) || (mozliwoscWplatyNaKase && not empty kontoKasy)}">
						<div>
							<stripes:radio id="${zakres}bez_${wplata.swiadczenieId}" name="rejestrujNaDepozyt[${wplata.swiadczenieId}]" value="" checked=""/>
							<label for="${zakres}bez_${wplata.swiadczenieId}" class="cursorPointer">Z</label>
						</div>
					</c:if>
					<c:if test="${mozliwoscWplatyNaDepozyt && not empty kontoDepozytowe}">
						<div class="padding-top-5">
							<stripes:radio id="${zakres}d_${wplata.swiadczenieId}" name="rejestrujNaDepozyt[${wplata.swiadczenieId}]" value="${kontoDepozytowe.id}"/>
							<label for="${zakres}d_${wplata.swiadczenieId}" class="cursorPointer" title="Wpłata na depozyt">(D: ${kontoDepozytowe.nr})</label>
						</div>
					</c:if>
					<c:if test="${mozliwoscWplatyNaKase && not empty kontoKasy}">
						<div class="padding-top-5">
							<stripes:radio id="${zakres}km_${wplata.swiadczenieId}" name="rejestrujNaDepozyt[${wplata.swiadczenieId}]" value="${kontoKasy.id}"/>
							<label for="${zakres}km_${wplata.swiadczenieId}" class="cursorPointer" title="Wpłata do kasy mieszkańca">(KM: ${kontoKasy.nr})</label>
						</div>
					</c:if>
					<c:if test="${empty kontoDepozytowe && empty kontoKasy}">
						<label>Z</label>
					</c:if>
				</jmesa:htmlColumn>
			</c:if>
			<jmesa:htmlColumn property="kwota" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]">
				<stripes:text id="${zakres}Wplata${pozycja.wplata.swiadczenieId}" name="mapaWplat[${zakres}][${i}].kwota" class="doublePrecision required" size="11" formatPattern="${DOUBLE_PRECISION_PATTERN}" title="Wpłacona kwota" />
				<stripes:errors field="mapaWplat[${zakres}][${i}].kwota"/>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
<div class="padding-top-5">
	*) Z - zadłużenie, D - konto depozytowe, KM - konto kasy mieszkańca
</div>
